Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152814 - FC1 - OpenOffice.org - April date formatting bug
Summary: FC1 - OpenOffice.org - April date formatting bug
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: General
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-16 04:25 UTC by David Lawrence
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:28:24 UTC
As instructed from https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=121838

puting this bug report here to Fedora Legacy.

Description of problem:
There is a bug in OpenOffice.org 1.1.0 that displays dates in April
incorrectly. It is described in qa.openoffice.org at 

http://qa.openoffice.org/issues/show_bug.cgi?id=17222

An example is typing 4/11 in Calc while in year 2004. The date won't
format correctly, even if you've correctly setup the cell formatting
to Date format. Other years have other dates as problems, example, for
year 2005 it's 4/10.

This has been fixed in OpenOffice.org 1.1.1.

How reproducible:
Always

Steps to Reproduce:
1. Open Calc 1.1.0.
2. Enter the date 4/11/04 in Cell A1.
3. Enter the date 4/12/04 in Cell A2.
4. Enter the date 4/13/04 in Cell A3.
5. Enter the date 4/10/05 in Cell A4.
6. Format all cells to date, preferably something easier to read, like
"April 11, 2004".
    
Actual Results:  The dates 4/11/04 and 4/10/05 are not formatted
correctly.

Expected Results:  The dates mentioned above should have been
formatted correctly.

Additional info:

This has been fixed in OpenOffice.org 1.1.1, according to the QA link
mentioned above. This was actually fully fixed in OpenOffice.org 1.1.2 according
to http://qa.openoffice.org/issues/show_bug.cgi?id=24082



------- Additional Comments From jkeating@j2solutions.net 2004-10-16 07:40:40 ----

While this is an annoying bug, it is not a Security related bug, and thus not
suitable for Fedora Legacy.  If at such time we need to do a security fix on
OO.org, please remind us to fix this issue as well.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:28 -------

This bug previously known as bug 2162 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2162
Originally filed under the Fedora Legacy product and General component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was thepoch@mydestiny.net.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.




Note You need to log in before you can comment on or make changes to this bug.